## Introspector-0.04.tar.gz

=== Makefile ===
# This Makefile is for the Introspector extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.03 (Revision: 1.63) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#     ABSTRACT_FROM => q[Introspector.pm]
#     AUTHOR => q[James Michael DuPont <mdupont777@yahoo.com>]
#     EXE_FILES => [q[./bin/intrspctr.pl]]
#     NAME => q[Introspector]
#     VERSION_FROM => q[./Introspector.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.8.0/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.3.1.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.4.19
RANLIB = :
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = Introspector
DISTNAME = Introspector
NAME_SYM = Introspector
VERSION = 0.04
VERSION_SYM = 0_04
XS_VERSION = 0.04
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INSTALLDIRS = site
PREFIX = /usr
SITEPREFIX = $(PREFIX)/local
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = $(PREFIX)/share/perl/5.8.0
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.8.0
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
INSTALLARCHLIB = $(PREFIX)/lib/perl/5.8.0
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.8.0
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
INSTALLBIN = $(PREFIX)/bin
INSTALLSITEBIN = $(SITEPREFIX)/bin
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
INSTALLSCRIPT = $(PREFIX)/bin
PERL_LIB = /usr/share/perl/5.8.0
PERL_ARCHLIB = /usr/lib/perl/5.8.0
SITELIBEXP = /usr/local/share/perl/5.8.0
SITEARCHEXP = /usr/local/lib/perl/5.8.0
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.8.0/CORE
PERL = /mnt/hda4/usr/bin/perl
FULLPERL = /mnt/hda4/usr/bin/perl
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERL = $(PERL)
ABSPERLRUN = $(ABSPERL)
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULL_AR = /usr/bin/ar
PERL_CORE = 0
NOOP = $(SHELL) -c true
NOECHO = @

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc

MAKEMAKER = /usr/share/perl/5.8.0/ExtUtils/MakeMaker.pm
MM_VERSION = 6.03

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = Introspector
BASEEXT = Introspector
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = ./Introspector.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= 
C_FILES = 
O_FILES = 
H_FILES = 
MAN1PODS = ./bin/intrspctr.pl
MAN3PODS = Introspector.pm \
	lib/Class/Contract.pm \
	lib/Introspector/GCC/GCC.pm \
	lib/Introspector/LoadIntrospector.pm \
	lib/Introspector/Visitor.pm
INST_MAN1DIR = blib/man1
MAN1EXT = 1p
INSTALLMAN1DIR = $(PREFIX)/share/man/man1
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
INST_MAN3DIR = blib/man3
MAN3EXT = 3pm
INSTALLMAN3DIR = $(PREFIX)/share/man/man3
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
PERM_RW = 644
PERM_RWX = 755

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  =
INST_DYNAMIC =
INST_BOOT    =

EXPORT_LIST = 

PERL_ARCHIVE = 

PERL_ARCHIVE_AFTER = 

TO_INST_PM = Introspector.pm \
	lib/B/IntrospectorDeparse.pm \
	lib/Class/Contract.pm \
	lib/Introspector/Breaker.pm \
	lib/Introspector/CodeFormatter.pm \
	lib/Introspector/ConnectionTypes.pm \
	lib/Introspector/CreateClasses.pm \
	lib/Introspector/CrossReference.pm \
	lib/Introspector/DYNCALL.PM \
	lib/Introspector/DYNLOAD.PM \
	lib/Introspector/DebugPrint.pm \
	lib/Introspector/Eval.pm \
	lib/Introspector/FileHandling.pm \
	lib/Introspector/GCC.PM \
	lib/Introspector/GCC/Changes \
	lib/Introspector/GCC/GCC.pm \
	lib/Introspector/GCC/GCC.xs \
	lib/Introspector/GCC/MANIFEST \
	lib/Introspector/GCC/Makefile.PL \
	lib/Introspector/GCC/README \
	lib/Introspector/GCC/build-stamp \
	lib/Introspector/GCC/test.pl \
	lib/Introspector/GeneratedPackage.pm \
	lib/Introspector/HTMLGenerator.pm \
	lib/Introspector/HTMLPrinter.pm \
	lib/Introspector/IncludePaths.pm \
	lib/Introspector/JavaGenerator.pm \
	lib/Introspector/LoadIntrospector.pm \
	lib/Introspector/LoadMetaInfo.pm \
	lib/Introspector/LoadNodes.pm \
	lib/Introspector/MetaAttribute.pm \
	lib/Introspector/MetaConstraint.pm \
	lib/Introspector/MetaFeature.pm \
	lib/Introspector/MetaInheritance.pm \
	lib/Introspector/MetaMethod.pm \
	lib/Introspector/MetaPackage.pm \
	lib/Introspector/MetaPackages.pm \
	lib/Introspector/MetaProperty.pm \
	lib/Introspector/MetaType.pm \
	lib/Introspector/ModifyClasses.pm \
	lib/Introspector/NODE_IDS.PM \
	lib/Introspector/NodeProcess.pm \
	lib/Introspector/NodeVisitors.pm \
	lib/Introspector/ParseGCCXML.pm \
	lib/Introspector/PerlGenerator.pm \
	lib/Introspector/README.txt \
	lib/Introspector/Redland/Storage.pm \
	lib/Introspector/Repository.pm \
	lib/Introspector/SQLGenerator.pm \
	lib/Introspector/StandardPerlGenerator.pm \
	lib/Introspector/TranslateClasses.pm \
	lib/Introspector/TreeCCGenerator.pm \
	lib/Introspector/Visitor.pm \
	lib/Introspector/XMLParser.pm \
	lib/Introspector/XMLPrinter.pm \
	lib/Introspector/components.pm \
	lib/Introspector/database/SQL/create_indexes.sql \
	lib/Introspector/database/SQL/delete_tables.sql \
	lib/Introspector/database/SQL/drops.sql \
	lib/Introspector/database/SQL/droptables.sql \
	lib/Introspector/database/SQL/droptables2.sql \
	lib/Introspector/database/SQL/indexes.sql \
	lib/Introspector/database/SQL/recreate.sh \
	lib/Introspector/database/SQL/runcreate.sh \
	lib/Introspector/database/SQL/rundrops.sh \
	lib/Introspector/database/SQL/rundrops.sql \
	lib/Introspector/database/dumptable.cmd \
	lib/Introspector/database/getschema.sh \
	lib/Introspector/database/grant.sql \
	lib/Introspector/database/introspector_schema.sql \
	lib/Introspector/database/loadrelationships.sql \
	lib/Introspector/database/node_named.sql \
	lib/Introspector/database/queries.pm \
	lib/Introspector/database/queries/currentfiles.sql \
	lib/Introspector/database/queries/drop_indexs.sql \
	lib/Introspector/database/queries/dumptable.cmd \
	lib/Introspector/database/queries/enums.sql \
	lib/Introspector/database/queries/exprs.sql \
	lib/Introspector/database/queries/fields_and_struct.sql \
	lib/Introspector/database/queries/loadrelationships.sql \
	lib/Introspector/database/queries/testconn.pl \
	lib/Introspector/database/queries/tests.sql \
	lib/Introspector/database/schema.sql \
	lib/Introspector/database/schema2.sql \
	lib/Introspector/database/testconn.pl \
	lib/Introspector/db_node_ref.pm \
	lib/Introspector/dyncall.pm \
	lib/Introspector/dynload.pm \
	lib/Introspector/gcc.pm \
	lib/Introspector/gcc/field.pm \
	lib/Introspector/gcc/fields.pm \
	lib/Introspector/gcc/node.pm \
	lib/Introspector/gcc/noderef.pm \
	lib/Introspector/warnings.pm

PM_TO_BLIB = lib/Introspector/database/dumptable.cmd \
	blib/lib/Introspector/database/dumptable.cmd \
	lib/Introspector/database/SQL/droptables2.sql \
	blib/lib/Introspector/database/SQL/droptables2.sql \
	lib/Introspector/GCC/Makefile.PL \
	blib/lib/Introspector/GCC/Makefile.PL \
	lib/Introspector/TreeCCGenerator.pm \
	blib/lib/Introspector/TreeCCGenerator.pm \
	lib/Introspector/ConnectionTypes.pm \
	blib/lib/Introspector/ConnectionTypes.pm \
	lib/Introspector/Visitor.pm \
	blib/lib/Introspector/Visitor.pm \
	lib/Introspector/LoadIntrospector.pm \
	blib/lib/Introspector/LoadIntrospector.pm \
	lib/Introspector/ModifyClasses.pm \
	blib/lib/Introspector/ModifyClasses.pm \
	lib/Introspector/CrossReference.pm \
	blib/lib/Introspector/CrossReference.pm \
	lib/Introspector/SQLGenerator.pm \
	blib/lib/Introspector/SQLGenerator.pm \
	lib/Introspector/GCC/MANIFEST \
	blib/lib/Introspector/GCC/MANIFEST \
	lib/Introspector/GCC/GCC.xs \
	blib/lib/Introspector/GCC/GCC.xs \
	lib/Introspector/db_node_ref.pm \
	blib/lib/Introspector/db_node_ref.pm \
	lib/Introspector/NODE_IDS.PM \
	blib/lib/Introspector/NODE_IDS.PM \
	lib/Introspector/HTMLPrinter.pm \
	blib/lib/Introspector/HTMLPrinter.pm \
	lib/Introspector/database/queries/enums.sql \
	blib/lib/Introspector/database/queries/enums.sql \
	lib/Introspector/components.pm \
	blib/lib/Introspector/components.pm \
	Introspector.pm \
	blib/lib/Introspector.pm \
	lib/Introspector/gcc/field.pm \
	blib/lib/Introspector/gcc/field.pm \
	lib/Introspector/NodeProcess.pm \
	blib/lib/Introspector/NodeProcess.pm \
	lib/Introspector/database/queries/drop_indexs.sql \
	blib/lib/Introspector/database/queries/drop_indexs.sql \
	lib/Introspector/database/queries/exprs.sql \
	blib/lib/Introspector/database/queries/exprs.sql \
	lib/Introspector/GCC/build-stamp \
	blib/lib/Introspector/GCC/build-stamp \
	lib/Introspector/database/queries/testconn.pl \
	blib/lib/Introspector/database/queries/testconn.pl \
	lib/Introspector/gcc/node.pm \
	blib/lib/Introspector/gcc/node.pm \
	lib/Introspector/database/SQL/rundrops.sh \
	blib/lib/Introspector/database/SQL/rundrops.sh \
	lib/Introspector/database/getschema.sh \
	blib/lib/Introspector/database/getschema.sh \
	lib/Introspector/warnings.pm \
	blib/lib/Introspector/warnings.pm \
	lib/Introspector/DebugPrint.pm \
	blib/lib/Introspector/DebugPrint.pm \
	lib/Introspector/MetaProperty.pm \
	blib/lib/Introspector/MetaProperty.pm \
	lib/Introspector/gcc.pm \
	blib/lib/Introspector/gcc.pm \
	lib/Introspector/CreateClasses.pm \
	blib/lib/Introspector/CreateClasses.pm \
	lib/Introspector/MetaType.pm \
	blib/lib/Introspector/MetaType.pm \
	lib/Introspector/GeneratedPackage.pm \
	blib/lib/Introspector/GeneratedPackage.pm \
	lib/Introspector/MetaConstraint.pm \
	blib/lib/Introspector/MetaConstraint.pm \
	lib/Introspector/database/SQL/delete_tables.sql \
	blib/lib/Introspector/database/SQL/delete_tables.sql \
	lib/Introspector/dyncall.pm \
	blib/lib/Introspector/dyncall.pm \
	lib/Introspector/database/SQL/recreate.sh \
	blib/lib/Introspector/database/SQL/recreate.sh \
	lib/Introspector/database/grant.sql \
	blib/lib/Introspector/database/grant.sql \
	lib/Introspector/database/SQL/drops.sql \
	blib/lib/Introspector/database/SQL/drops.sql \
	lib/Introspector/IncludePaths.pm \
	blib/lib/Introspector/IncludePaths.pm \
	lib/Introspector/XMLParser.pm \
	blib/lib/Introspector/XMLParser.pm \
	lib/Introspector/database/queries/tests.sql \

=== interfaces/gcc/c_files/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for GNU C compiler.
#   Copyright (C) 1987, 1988, 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997
#   1998, 1999, 2000, 2001, 2002 Free Software Foundation, Inc.

#This file is part of GCC.

#GCC is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2, or (at your option)
#any later version.

#GCC is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.

#You should have received a copy of the GNU General Public License
#along with GCC; see the file COPYING.  If not, write to
#the Free Software Foundation, 59 Temple Place - Suite 330,
#Boston MA 02111-1307, USA.

# The targets for external use include:
# all, doc, proto, install, install-cross, install-cross-rest,
# uninstall, TAGS, mostlyclean, clean, distclean, maintainer-clean,
# stage1, stage2, stage3, stage4.

# This is the default target.
all:

# Suppress smart makes who think they know how to automake Yacc files
.y.c:

# Directory where sources are, from where we are.
srcdir = .

# Pointer to the GCC Project website
website=http://gcc.gnu.org

# Variables that exist for you to override.
# See below for how to change them for certain systems.

# List of language subdirectories.
# This is overridden by configure.
SUBDIRS = cp f java objc

# Selection of languages to be made.
# This is overridden by configure.
CONFIG_LANGUAGES =  c++ f77 java objc
LANGUAGES = c gcov$(exeext) $(CONFIG_LANGUAGES)

# Selection of languages to be made during stage1 build.
# This is overridden by configure.
BOOT_LANGUAGES = c 

# Various ways of specifying flags for compilations:
# CFLAGS is for the user to override to, e.g., do a cross build with -O2.
# For recursive  bootstrap builds CFLAGS is used to pass in STAGE1_CFLAGS
# or BOOT_CFLAGS
# STAGE1_CFLAGS is set by configure on some targets or passed from toplevel
# and sets the CFLAGS passed to stage1 of a bootstrap compilation.
# BOOT_CFLAGS is the value of CFLAGS to pass to the stage2, stage3 and stage4
# bootstrap compilations.
# XCFLAGS is used for most compilations but not when using the GCC just built.
# TCFLAGS is used for compilations with the GCC just built.
XCFLAGS =
TCFLAGS =
CFLAGS = -g
STAGE1_CFLAGS = -g 
BOOT_CFLAGS = -g 
#-O2

# Flags to determine code coverage. When coverage is disabled, this will
# contain the optimization flags, as you normally want code coverage
# without optimization. The -dumpbase $@ makes sure that the auxilary
# files end up near the object files.
COVERAGE_FLAGS = 
coverageexts = .{da,bb,bbg}

# The warning flags are separate from BOOT_CFLAGS because people tend to
# override optimization flags and we'd like them to still have warnings
# turned on.  These flags are also used to pass other stage dependent
# flags from configure.  The user is free to explicitly turn these flags
# off if they wish.
# LOOSE_WARN are the warning flags to use when compiling something
# which is only compiled with gcc, such as libgcc and the frontends
# other than C.
# STRICT_WARN and STRICT2_WARN are the additional warning flags to
# apply to the back end and the C front end, which may be compiled
# with other compilers.  This is partially controlled by configure in
# stage1, as not all versions of gcc understand -Wno-long-long.
LOOSE_WARN = -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes
STRICT_WARN = -Wtraditional -pedantic -Wno-long-long
STRICT2_WARN = -Wtraditional -pedantic -Wno-long-long

# This is set by --enable-checking.  The idea is to catch forgotten
# "extern" tags in header files.
NOCOMMON_FLAG = -fno-common

# These are set by --enable-checking=valgrind.
RUN_GEN = 
VALGRIND_DRIVER_DEFINES = 

# This is how we control whether or not the additional warnings are applied.
.-warn = $(STRICT_WARN)
GCC_WARN_CFLAGS = $(LOOSE_WARN) $($(@D)-warn) $(NOCOMMON_FLAG)

# All warnings have to be shut off in stage1 if the compiler used then
# isn't gcc; configure determines that.  WARN_CFLAGS will be either
# $(GCC_WARN_CFLAGS), or nothing.
WARN_CFLAGS = $(GCC_WARN_CFLAGS)

# These exists to be overridden by the x-* and t-* files, respectively.
X_CFLAGS =
T_CFLAGS =

X_CPPFLAGS =
T_CPPFLAGS =

ADAC = no
AWK = mawk
CC = gcc
BISON = bison
BISONFLAGS =
FLEX = flex
FLEXFLAGS =
AR = ar
AR_FLAGS = rc
DLLTOOL = dlltool
RANLIB = ranlib
SHELL = /bin/sh
# pwd command to use.  Allow user to override default by setting PWDCMD in
# the environment to account for automounters.  The make variable must not
# be called PWDCMD, otherwise the value set here is passed to make
# subprocesses and overrides the setting from the user's environment.
PWD = $${PWDCMD-pwd}
# on sysV, define this as cp.
INSTALL = /usr/bin/install -c
# Some systems may be missing symbolic links, regular links, or both.
# Allow configure to check this and use "ln -s", "ln", or "cp" as appropriate.
LN=ln
LN_S=ln -s
# These permit overriding just for certain files.
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = /usr/bin/install -c
MAKEINFO = makeinfo
MAKEINFOFLAGS =
TEXI2DVI = texi2dvi
TEXI2POD = perl $(srcdir)/../contrib/texi2pod.pl
POD2MAN = pod2man --center="GNU" --release="gcc-$(version)"
# For GNUmake: let us decide what gets passed to recursive makes.
MAKEOVERRIDES =

# Some compilers can't handle cc -c blah.c -o foo/blah.o.
# In stage2 and beyond, we force this to "-o $@" since we know we're using gcc.
OUTPUT_OPTION = -o $@

# Some versions of `touch' (such as the version on Solaris 2.8)
# do not correctly set the timestamp due to buggy versions of `utime'
# in the kernel.  So, we use `echo' instead.
STAMP = echo timestamp >

# This is where we get zlib from.  zlibdir is -L../zlib and zlibinc is
# -I../zlib, unless we were configured with --with-system-zlib, in which
# case both are empty.
ZLIB = -L../zlib -lz
ZLIBINC = -I$(srcdir)/../zlib

# Substitution type for target's getgroups 2nd arg.
TARGET_GETGROUPS_T = gid_t

# Target to use when installing include directory.  Either
# install-headers-tar, install-headers-cpio or install-headers-cp.
INSTALL_HEADERS_DIR = install-headers-tar

# Header files that are made available under the same name
# to programs compiled with GCC.
USER_H = $(srcdir)/ginclude/float.h \
	 $(srcdir)/ginclude/iso646.h \
	 $(srcdir)/ginclude/stdarg.h \
	 $(srcdir)/ginclude/stdbool.h \
	 $(srcdir)/ginclude/stddef.h \
	 $(srcdir)/ginclude/varargs.h \
	 $(EXTRA_HEADERS)

# The GCC to use for compiling libgcc.a and crt*.o.
# Usually the one we just built.
# Don't use this as a dependency--use $(GCC_PASSES) or $(GCC_PARTS).
GCC_FOR_TARGET = $(STAGE_CC_WRAPPER) ./xgcc -B./ -B$(build_tooldir)/bin/ -isystem $(build_tooldir)/include -isystem $(build_tooldir)/sys-include

# This is used instead of ALL_CFLAGS when compiling with GCC_FOR_TARGET.
# It omits XCFLAGS, and specifies -B./.
# It also specifies -isystem ./include to find, e.g., stddef.h.
GCC_CFLAGS=$(INTERNAL_CFLAGS) $(X_CFLAGS) $(T_CFLAGS) $(LOOSE_WARN) -isystem ./include $(TCFLAGS)

# Sed command to transform gcc to installed name.  Overwritten by configure.
program_transform_name = s,x,x,
program_transform_cross_name = s,^,$(target_alias)-,

build_canonical = i586-pc-linux-gnu
host_canonical = i586-pc-linux-gnu

# Tools to use when building a cross-compiler.
# These are used because `configure' appends `cross-make'
# to the makefile when making a cross-compiler.

# Use the tools from the build tree, if they are available.

# objdir is set by configure.
objdir = /mnt/caldera4/introspector_home/introspector/development/main/gcc-introspector-0.1/gcc

AR_FOR_TARGET = ` \
  if [ -f $(objdir)/../binutils/ar ] ; then \
    echo $(objdir)/../binutils/ar ; \
  else \
    if [ "$(host_canonical)" = "$(target)" ] ; then \
      echo ar; \
    else \
       t='$(program_transform_cross_name)'; echo ar | sed -e $$t ; \
    fi; \
  fi`
AR_FLAGS_FOR_TARGET =
AR_CREATE_FOR_TARGET = $(AR_FOR_TARGET) $(AR_FLAGS_FOR_TARGET) rc
AR_EXTRACT_FOR_TARGET = $(AR_FOR_TARGET) $(AR_FLAGS_FOR_TARGET) x
RANLIB_FOR_TARGET = ` \
  if [ -f $(objdir)/../binutils/ranlib ] ; then \
    echo $(objdir)/../binutils/ranlib ; \
  else \
    if [ "$(host_canonical)" = "$(target)" ] ; then \
      echo ranlib; \
    else \
       t='$(program_transform_cross_name)'; echo ranlib | sed -e $$t ; \
    fi; \
  fi`
RANLIB_TEST_FOR_TARGET = \
  [ -f $(RANLIB_FOR_TARGET) ] \
  || ( [ "$(host_canonical)" = "$(target)" ] \
       && [ -f /usr/bin/ranlib -o -f /bin/ranlib ] )
NM_FOR_TARGET = ` \
  if [ -f ./nm ] ; then \
    echo ./nm ; \
  elif [ -f $(objdir)/../binutils/nm-new ] ; then \
    echo $(objdir)/../binutils/nm-new ; \
  else \
    if [ "$(host_canonical)" = "$(target)" ] ; then \
      echo nm; \
    else \
       t='$(program_transform_cross_name)'; echo nm | sed -e $$t ; \
    fi; \
  fi`

# Where to find some libiberty headers.
HASHTAB_H   = $(srcdir)/../include/hashtab.h
OBSTACK_H   = $(srcdir)/../include/obstack.h
SPLAY_TREE_H= $(srcdir)/../include/splay-tree.h
FIBHEAP_H   = $(srcdir)/../include/fibheap.h

# Default native SYSTEM_HEADER_DIR, to be overridden by targets.
NATIVE_SYSTEM_HEADER_DIR = /usr/include
# Default cross SYSTEM_HEADER_DIR, to be overridden by targets.
CROSS_SYSTEM_HEADER_DIR = $(build_tooldir)/sys-include

# autoconf sets SYSTEM_HEADER_DIR to one of the above.
SYSTEM_HEADER_DIR = $(NATIVE_SYSTEM_HEADER_DIR)

# Control whether to run fixproto and fixincludes.
STMP_FIXPROTO = stmp-fixproto
STMP_FIXINC = stmp-fixinc

# Test to see whether <limits.h> exists in the system header files.
LIMITS_H_TEST = [ -f $(SYSTEM_HEADER_DIR)/limits.h ]

target=i586-pc-linux-gnu
target_alias=i586-pc-linux-gnu
xmake_file=
tmake_file= ./config/t-slibgcc-elf-ver ./config/t-linux ./config/i386/t-crtstuff
out_file=$(srcdir)/config/i386/i386.c
out_object_file=i386.o
md_file=$(srcdir)/config/i386/i386.md
tm_defines=
tm_p_file_list= $(srcdir)/config/i386/i386-protos.h
tm_p_file=i386/i386-protos.h
build_xm_file_list= auto-host.h $(srcdir)/../include/ansidecl.h $(srcdir)/config/i386/i386.h $(srcdir)/config/i386/unix.h $(srcdir)/config/i386/att.h $(srcdir)/config/dbxelf.h $(srcdir)/config/elfos.h $(srcdir)/config/svr4.h $(srcdir)/config/linux.h $(srcdir)/config/i386/linux.h
build_xm_file=auto-host.h ansidecl.h  i386/i386.h i386/unix.h i386/att.h dbxelf.h elfos.h svr4.h linux.h i386/linux.h defaults.h
build_xm_defines=POSIX
host_xm_file_list= auto-host.h $(srcdir)/../include/ansidecl.h $(srcdir)/config/i386/i386.h $(srcdir)/config/i386/unix.h $(srcdir)/config/i386/att.h $(srcdir)/config/dbxelf.h $(srcdir)/config/elfos.h $(srcdir)/config/svr4.h $(srcdir)/config/linux.h $(srcdir)/config/i386/linux.h $(srcdir)/defaults.h $(srcdir)/defaults.h
host_xm_file=auto-host.h ansidecl.h  i386/i386.h i386/unix.h i386/att.h dbxelf.h elfos.h svr4.h linux.h i386/linux.h defaults.h
host_xm_defines=POSIX
xm_file=ansidecl.h  i386/i386.h i386/unix.h i386/att.h dbxelf.h elfos.h svr4.h linux.h i386/linux.h defaults.h
xm_defines=POSIX
lang_specs_files= ./cp/lang-specs.h ./f/lang-specs.h ./java/lang-specs.h ./objc/lang-specs.h
lang_options_files= ./cp/lang-options.h ./f/lang-options.h ./java/lang-options.h ./objc/lang-options.h
lang_tree_files= ./cp/cp-tree.def ./java/java-tree.def ./objc/objc-tree.def
target_cpu_default=TARGET_CPU_DEFAULT_pentium
GCC_THREAD_FILE=posix
OBJC_BOEHM_GC=
GTHREAD_FLAGS=-DHAVE_GTHR_DEFAULT
# Be prepared for gcc2 merges.
gcc_version=3.3
gcc_version_trigger=/mnt/caldera4/introspector_home/introspector/development/main/gcc-introspector-0.1/gcc/version.c
version=$(gcc_version)
mainversion=`grep version_string $(srcdir)/version.c | sed -e 's/.*\"\([0-9]*\.[0-9]*\).*/\1/'`

# Common prefix for installation directories.
# NOTE: This directory must exist when you start installation.

=== debian/changelog ===
libintrospector-perl (0.04-2) unstable; urgency=low

  * cleaned up perl

 -- James Michael DuPont <mdupont777@yahoo.com>  Sun, 19 Jan 2002 13:20:30 +0100

	

libintrospector-perl (0.04-1) unstable; urgency=low

  * Initial Release.

 -- James Michael DuPont <mdupont777@yahoo.com>  Thu, 21 Nov 2002 21:45:47 +0100

=== debian/control ===
Source: libintrospector-perl
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 3.0.5), perl (>= 5.8.0-7)
Maintainer: James Michael DuPont <mdupont777@yahoo.com>
Standards-Version: 3.5.1

Package: libintrospector-perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}
Description:  IntrOspEctOr Driver
 The Introspector main driver routine
 Purpose : Driver for the introspector Project. 
 Allows high level manipulation of program structures.
 allows your programs to load themselves.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=3

PACKAGE=$(shell dh_listpackages)

ifndef PERL
PERL = /usr/bin/perl
endif

ifndef DESTDIR
DESTDIR=..
endif
TMP     =`pwd`/debian/$(PACKAGE)

OPTIMIZE = -O2 -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
OPTIMIZE += -g
endif

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(PERL) Makefile.PL INSTALLDIRS=vendor
	$(MAKE) OPTIMIZE="$(OPTIMIZE)" LD_RUN_PATH=""

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) realclean

	dh_clean

install: 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	$(MAKE) install PREFIX=$(TMP)/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs DOCS/README DOCS/README.pod DOCS/README.txt  DOCS/TODO.txt
	dh_installexamples 
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installman
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb --destdir=$(DESTDIR)

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
